Package org.eclipse.jdt.core.util

# Interface IPermittedSubclassesAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IPermittedSubclassesAttribute extends IClassFileAttribute
Description of permitted subclasses attribute as described in the JVM specifications.

Since:
  3.24

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumberOfPermittedSubclasses()`
Answer back the number of permitted subclasses as specified in the JVM specifications.
`IPermittedSubclassesAttributeEntry[]`
`getPermittedSubclassAttributesEntries()`
Answer back the array of permitted subclass attribute entries as specified in the JVM specifications, or an empty array if none.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getNumberOfPermittedSubclasses

int getNumberOfPermittedSubclasses()
Answer back the number of permitted subclasses as specified in the JVM specifications.

Returns:
  the number of permitted subclasses as specified in the JVM specifications

### getPermittedSubclassAttributesEntries

IPermittedSubclassesAttributeEntry[] getPermittedSubclassAttributesEntries()
Answer back the array of permitted subclass attribute entries as specified in the JVM specifications, or an empty array if none.

Returns:
  the array of permitted subclass attribute entries as specified in the JVM specifications, or an empty array if none